PHP Manual
Prev |  | Next

# imagecolorexact

(PHP 3, PHP 4, PHP 5)

imagecolorexact -- Get the index of the specified color

## Description

int imagecolorexact ( resource image, int red, int green, int blue )

Returns the index of the specified color in the palette of the image.

If you created the image from a file, only colors used in the image are resolved. Colors present only in the pallete are not resolved.

## Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor().

`red`

  Value of red component

`green`

  Value of green component

`blue`

  Value of blue component

## Return Values

Returns the index of the specified color in the palette, or -1 if the color does not exist.

## See Also

imagecolorclosest()

Prev | Home | Next
imagecolordeallocate | Up | imagecolorexactalpha